PING3(1)

NAME
ping3 - ICMP ping using raw sockets implemented in Python 3

SYNOPSIS
ping3 [OPTION] [DEST_ADDR ...]

DESCRIPTION
ICMP ping implementation using raw sockets in Python 3.

This manual page is for the ping3 executable. The Python module documentation is in /usr/share/doc/python3-ping3/README.md.gz.

Usually, only processes running as root can create raw sockets. See /usr/share/doc/python3-ping3/TROUBLESHOOTING.md to be able to use ping3 without root privileges.

DEST_ADDR
    The destination address can be an IP address or a domain name. Ex. 192.168.1.1 or example.com

-c COUNT, --count COUNT
    Number of pings to be sent. Default is 4.

-t TIMEOUT, --timeout TIMEOUT
    Time to wait for a response, in seconds. Default is 4.

-i INTERNAL, --interval INTERVAL
    Time to wait between each packet, in seconds. Default is 0.

-I INTERFACE, --interface INTERFACE
    LINUX ONLY. The gateway network interface to ping from. Default is None.

-S SRC_ADDR, --src SRC_ADDR
    The IP address to ping from. This is for multiple network interfaces. Default is None.

-T TTL, --ttl TTL
    The Time-To-Live of the outgoing packet. Default is 64.

-s SIZE, --size SIZE
    The ICMP packet payload size in bytes. Default is 56.

-D, --debug
    Turn on DEBUG mode.

-E, --exceptions
    Turn on EXCEPTIONS mode.

-h, --help
    Show help message and exit.

-v, --version
    Show program's version number and exit.

AUTHOR
This manual page was written by Carles Pina i Estany <carles@pina.cat> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 any later version published by the Free Software Foundation.

SEE ALSO
ping(8)

Full documentation in /usr/share/doc/python3-ping3/README.md.gz